Loading...
Searching...
No Matches
RDKit::SynthonSpaceSearch::SynthonSpaceHitSet Struct Reference

`#include <SynthonSpace.h>`

## Public Member Functions

| SynthonSpaceHitSet ()=delete
| SynthonSpaceHitSet (const std::string &id, const std::vector< std::vector< size_t > > &stu)

## Public Attributes

std::string | reactionId
std::vector< std::vector< size_t > > | synthonsToUse
size_t | numHits {0}

## Detailed Description

Definition at line 104 of file SynthonSpace.h.

## Constructor & Destructor Documentation

## SynthonSpaceHitSet() [1/2]

RDKit::SynthonSpaceSearch::SynthonSpaceHitSet::SynthonSpaceHitSet | ( |  | ) |

delete

## SynthonSpaceHitSet() [2/2]

RDKit::SynthonSpaceSearch::SynthonSpaceHitSet::SynthonSpaceHitSet | ( | const std::string & | id,
|  | const std::vector< std::vector< size_t > > & | stu
| ) |  |

inline

Definition at line 106 of file SynthonSpace.h.

## Member Data Documentation

## numHits

size_t RDKit::SynthonSpaceSearch::SynthonSpaceHitSet::numHits {0}

Definition at line 117 of file SynthonSpace.h.

## reactionId

std::string RDKit::SynthonSpaceSearch::SynthonSpaceHitSet::reactionId

Definition at line 115 of file SynthonSpace.h.

## synthonsToUse

std::vector<std::vector<size_t> > RDKit::SynthonSpaceSearch::SynthonSpaceHitSet::synthonsToUse

Definition at line 116 of file SynthonSpace.h.

The documentation for this struct was generated from the following file:

- SynthonSpace.h